UbixOS V2 2.0

Macros | Functions
bioscall.h File Reference
`#include <sys/types.h>`
Include dependency graph for bioscall.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | EFLAG_IF 0x200
#define | EFLAG_IOPL3 0x3000
#define | EFLAG_TF 0x100
#define | EFLAG_VM 0x20000

## Functions
void | bios16Code ()
void | biosCall (int biosInt, int eax, int ebx, int ecx, int edx, int esi, int edi, int es, int ds)

## Macro Definition Documentation

## ◆ EFLAG_IF

#define EFLAG_IF 0x200

Definition at line 35 of file bioscall.h.

## ◆ EFLAG_IOPL3

#define EFLAG_IOPL3 0x3000

Definition at line 36 of file bioscall.h.

## ◆ EFLAG_TF

#define EFLAG_TF 0x100

Definition at line 34 of file bioscall.h.

## ◆ EFLAG_VM

#define EFLAG_VM 0x20000

Definition at line 37 of file bioscall.h.

## Function Documentation

## ◆ bios16Code()

void bios16Code | ( |  | ) |

Referenced by biosCall().

## ◆ biosCall()

void biosCall | ( | int | biosInt,
|  | int | eax,
|  | int | ebx,
|  | int | ecx,
|  | int | edx,
|  | int | esi,
|  | int | edi,
|  | int | es,
|  | int | ds
| ) |  |

Definition at line 49 of file bioscall.c.

References _current, assert, tssStruct::back_link, bios16Code(), tssStruct::cr3, tssStruct::cs, tssStruct::ds, tssStruct::eax, tssStruct::ebp, tssStruct::ebx, tssStruct::ecx, tssStruct::edi, tssStruct::edx, EFLAG_IF, EFLAG_VM, tssStruct::eflags, tssStruct::eip, tssStruct::es, tssStruct::esi, tssStruct::esp, tssStruct::esp0, tssStruct::esp1, tssStruct::esp2, tssStruct::fs, tssStruct::gs, taskStruct::id, tssStruct::io_map, kernelPageDirectory, kmalloc(), kprintf(), tssStruct::ldt, taskStruct::oInfo, READY, sched_yield(), schedNewTask(), tssStruct::ss, tssStruct::ss0, tssStruct::ss1, tssStruct::ss2, taskStruct::state, tssStruct::trace_bitmap, taskStruct::tss, osInfo::v86Task, and vmm_getFreeKernelPage().

Referenced by ogDisplay_UbixOS::GetModeInfo(), ogDisplay_UbixOS::GetVESAInfo(), initVESAMode(), and systemTask().

Here is the call graph for this function: